### Method

# Gdk Deviceget_has_cursor

#### Declaration [src]

    gboolean
    gdk_device_get_has_cursor (
      GdkDevice* device
    )

#### Description [src]

Determines whether the pointer follows device motion.

This is not meaningful for keyboard devices, which don’t have a pointer.

Gets property | `Gdk.Device:has-cursor`

#### Return value

Type: `gboolean`

`TRUE` if the pointer follows device motion.